%define api	0.1
%define major	1
%define libname	%mklibname e-book %{api} %{major}
%define devname	%mklibname -d e-book

Name: libe-book
Version: 0.1.1
Release: %mkrel 3
Summary: A library for import of non-HTML reflowable e-book formats

Group: System/Libraries
License: LGPLv2+ or MPLv2.0
URL: https://sourceforge.net/projects/libebook/
Source: http://downloads.sourceforge.net/libebook/%{name}-%{version}.tar.xz

BuildRequires: boost-devel
BuildRequires: cppunit-devel
BuildRequires: doxygen
BuildRequires: gperf
BuildRequires: libicu-devel
BuildRequires: pkgconfig(librevenge-0.0)
BuildRequires: libwpd-devel
BuildRequires: libxml2-devel
BuildRequires: zlib-devel

%description
%{name} is a library for import of non-HTML reflowable e-book formats.
Currently supported are PalmDoc, TealDoc, Plucker eBook, eReader eBook,
FictionBook v.2, TCR, zTXT.

%package -n %libname
Summary: A library for import of non-HTML reflowable e-book formats
Group: System/Libraries
Obsoletes: %{_lib}e-book0 < 0.0.3-2

%description -n %libname
%{name} is a library for import of non-HTML reflowable e-book formats.
Currently supported are PalmDoc, TealDoc, Plucker eBook, eReader eBook,
FictionBook v.2, TCR, zTXT.

%package -n %devname
Summary: Development files for %{name}
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Provides: libe-book-devel

%description -n %devname
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary: Documentation of %{name} API
Group: Documentation
BuildArch: noarch

%description doc
The %{name}-doc package contains documentation files for %{name}.

%package tools
Summary: Tools to transform e-books into other formats
Group: Office/Utilities
Requires: %{libname} = %{version}-%{release}

%description tools
Tools to transform e-books into other formats.
Currently supported: XHTML, raw, text.

%prep
%setup -q
# TODO: remove with next release
sed -i -e s/lebook/le-book/ libe-book.pc.in

%build
%configure2_5x --disable-silent-rules --disable-static --disable-werror
sed -i \
    -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    libtool
%make

%install
%makeinstall_std
rm -f %{buildroot}/%{_libdir}/*.la
# we install API docs directly from build
rm -rf %{buildroot}/%{_docdir}/%{name}



%check
export LD_LIBRARY_PATH=%{buildroot}/%{_libdir}${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
%make check

%files -n %libname
%doc AUTHORS COPYING NEWS README
%{_libdir}/%{name}-%{api}.so.%{major}
%{_libdir}/%{name}-%{api}.so.%{major}.*

%files -n %devname
%doc ChangeLog
%{_includedir}/%{name}-%{api}
%{_libdir}/%{name}-%{api}.so
%{_libdir}/pkgconfig/%{name}-%{api}.pc

%files doc
%doc COPYING
%doc docs/doxygen/html

%files tools
%{_bindir}/ebook2raw
%{_bindir}/ebook2text
%{_bindir}/ebook2html



%changelog
* Wed Oct 15 2014 umeabot <umeabot> 0.1.1-3.mga5
+ Revision: 740338
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.1-2.mga5
+ Revision: 681435
- Mageia 5 Mass Rebuild

* Thu Jul 31 2014 tv <tv> 0.1.1-1.mga5
+ Revision: 658637
- adjust file list
- fix install
- bump major
- new release

* Sat Apr 05 2014 wally <wally> 0.0.3-2.mga5
+ Revision: 611852
- fix lib pkg name
- rebuild for new icu

* Fri Feb 28 2014 tv <tv> 0.0.3-1.mga5
+ Revision: 597938
- new release

* Thu Feb 06 2014 tv <tv> 0.0.2-2.mga5
+ Revision: 584326
- add devel provides

* Thu Feb 06 2014 tv <tv> 0.0.2-1.mga5
+ Revision: 584292
- imported package libe-book

